Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# OgreSearchOps.h File Reference

`#include <string.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <stdlib.h>`
`#include "OgrePlatform.h"`
`#include <dirent.h>`
`#include <unistd.h>`
`#include <fnmatch.h>`

Go to the source code of this file.

## Defines
#define | _A_NORMAL 0x00
#define | _A_RDONLY 0x01
#define | _A_HIDDEN 0x02
#define | _A_SYSTEM 0x04
#define | _A_SUBDIR 0x10
#define | _A_ARCH 0x20
## Functions
long | _findfirst (const char *pattern, struct _finddata_t *data)
int | _findnext (long id, struct _finddata_t *data)
int | _findclose (long id)

## Define Documentation

#define _A_ARCH 0x20

| Definition at line 59 of file OgreSearchOps.h.

#define _A_HIDDEN 0x02

| Definition at line 56 of file OgreSearchOps.h.

#define _A_NORMAL 0x00

| Definition at line 54 of file OgreSearchOps.h.

#define _A_RDONLY 0x01

| Definition at line 55 of file OgreSearchOps.h.

#define _A_SUBDIR 0x10

| Definition at line 58 of file OgreSearchOps.h.

#define _A_SYSTEM 0x04

| Definition at line 57 of file OgreSearchOps.h.

## Function Documentation

int _findclose | ( | long | id | ) |

long _findfirst | ( | const char * | pattern,
|  | struct _finddata_t * | data
| ) |

int _findnext | ( | long | id,
|  | struct _finddata_t * | data
| ) |

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:50:58 2007